<?php
include_once(_DIR_EXT."/aspmo_debug/c_debug_info.php");
class c_page_cab_mBox extends c_page_cab_debug_info
{
 public $h1='Тест утилиты mBox' ;


 var $arr_org=array('первая','вторая','третья') ;
 function block_main()
 { $this->page_title() ;
   ?><div id="current_time" style="font-size:26px;margin:10px;">Текущее время</div>
     <button class="v2" cmd="mBox/update_time">Обновить текущее время</button>
     <button class="v2" cmd="mBox/open_modal_window">Простое модальное окно</button>
     <button class="v2" cmd="mBox/open_modal_window2">Модальное окно с переходом на другое окно</button>
     <button class="v2" cmd="mBox/show_notife">Простое уведомление</button>
     <button class="v2" cmd="mBox/show_notife_red">Уведомление о ошибке</button>
     <button class="v2" cmd="mBox/show_notife_green">Уведомление о успехе</button>
     <br>
     <h2>Проверка отправки данных формы отчета</h2>
    <?
     $this->form_open() ;
     $this->row_open() ;
        // стандартный вызов
        $this->filter_section_input_text('namу_old','ФИО:',2,array('auto_complete'=>"autocomplette_personal_name")) ;
        $this->filter_section_input_text('data_from','От:',2,array('class'=>'datetimepicker')) ;
        $this->filter_section_select('tk','Тип контроля:',2,$_SESSION['ARR_mo_tk_type'],array('use_id_plus_1'=>1)) ;
        $this->filter_section_select_multiple('org_ids','Организация:',2,$this->arr_org) ;
        // вызов со всеми параметрами через массив
        $this->element_input(array('name'=>'filter[name]','title'=>'Название товара','value'=>$this->filter['name'])) ;
        $this->element_input(array('name'=>'art','title'=>'Артикул')) ;
     $this->row_close() ;
     $this->panel_button_apply();
     $this->form_close() ;

     ?><h2>Проверка отправки данных формы на AJAX</h2><?
     $this->form_open() ;
     $this->row_open() ;
        // стандартный вызов
        $this->filter_section_input_text('namу_old','ФИО:',2,array('auto_complete'=>"autocomplette_personal_name")) ;
        $this->filter_section_input_text('data_from','От:',2,array('class'=>'datetimepicker')) ;
        $this->filter_section_input_text('data_to','До:',2,array('class'=>'datetimepicker')) ;
        // вызов со всеми параметрами через массив
        $this->element_input(array('name'=>'filter[name]','title'=>'Название товара','value'=>$this->filter['name'])) ;
        $this->element_input(array('name'=>'art','title'=>'Артикул')) ;
     $this->row_close() ;
     $this->panel_button_apply(array('cmd'=>'mBox/show_form_values'));
     $this->form_close() ;

     ?><h2>Проверка отправки данных кнопки</h2><?
     ?><button class="v2" cmd="mBox/show_button_values" request_id="<?echo ENGINE()->generate_UID();?>" time="<?echo date('d.m.Y H:i:s')?>">Отправить</button><?

     ?><h2>Проверка validate form</h2><?
     ?> <form>
          <input type="text" name="test1"><input type="text" name="test2">
          <input type="submit" value="SEND" class="v2" NoSubmitFormOnEnter="1"  validate="form" cmd="mBox/show_form_values">
        </form><?

 }



}
?>